*{
	margin: 0;
	padding: 0;
	font-family: 'Poppins', sans-serif /*from google fonts */
}
/* this will be applied to all html elements */

.header {
	min-height: 100vh;
	width: 100%;
	background-image: linear-gradient(rgba(4,9,30,0.7),rgba(4,9,30,0.7)),url(images/banner.png);
	background-position: center;
	background-size: cover;
	position: relative;
}

nav{
	display: flex;
	padding: 2% 6%;
	justify-content: space-between;
	align-items: center;
}

nav img{
	width: 100px;
}

.nav-links{
	flex: 1;
	text-align: right;
}

.nav-links ul li{
	list-style: none; /* to remove the bullets */
	display: inline-block; /* to come horizontally */
	padding: 8px 12px;
	position: relative;
}

.nav-links ul li a{
	color: #fff; /* white */
	text-decoration: none; /* remove underline */
	font-size: 13px;
}

.nav-links ul li::after{
	content: "";
	width: 0%;
	/* line currently hidden. 100% to make it visible */
	height: 2px;
	background: #f44336;
	display: block;
	margin: auto;
	transition:  0.5s;
}
/* line under each menu */

.nav-links ul li:hover::after{
	width: 100%;
}
/* this will make the beautiful hover effect */

.text-box{
	width: 90%;	
	color: #fff;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	text-align: center;
}
/* this brings it to the center of this div */

.text-box h1{
	font-size: 62px;
}

.text-box p{
	margin: 10px 0 40px;
	font-size: 14px;
	color: #fff;
}

.hero-btn{
	display: inline-block;
	text-decoration: none;
	color: #fff;
	border: 1px solid #fff;
	padding: 12px 34px;
	font-size: 13px;
	background: transparent;
	position: relative;
	cursor: pointer;
}

.hero-btn:hover{
	border: 1px solid #f44336;
	background: #f44336;
	transition: 1s;
}


nav .fa{
	display: none;
}
/* hide X icon on large screens */

@media(max-width: 700px){
	.text-box h1{
	font-size: 20px;
	}
	.nav-links ul li{
		display: block;
	}
	.nav-links{
		position: absolute;
		background: #f44336;
		height: 100vh;
		width: 200px;
		top: 0;
		right: -200px;
		text-align: left;
		z-index: 2;
		transition: 1s;
	}
	nav .fa{
		display: inline-block;
		color: #fff;
		margin: 10px;
		font-size: 12px;
		cursor: pointer;
	}
	/* display X icon on small screens */

	.nav-links ul{
		padding: 30px;
	}
}





/* --COURSE -- */

.course{
	width: 80%;
	margin: auto;
	text-align: center;
	padding-top: 100px;
}

h1{
	font-size: 36px;
	font-weight: 600;
}

p{
	color: #777;
	font-size: 14px;
	font-weight: 300;
	line-height: 22px;
	padding: 10px;
}


.row{
	margin-top: 5%;
	display: flex;
	justify-content: space-between;
}
/* make 3 columns */

.course-col{
	flex-basis: 31%;
	background: aliceblue;
	border-radius: 10px;
	margin-bottom: 5%;
	padding: 20px 12px;
	box-sizing: border-box;
	transition: 0.5s;
}
/* design for the course columns */

h3{
	text-align: center;
	font-weight: 600;
	margin: 10px;
}


.course-col:hover{
	box-shadow: 0 0 20px 0px rgba(0, 0, 0, 0.3);
}
/* shadow effect when you hover */
@media(max-width: 700px){
	.row{
		flex-direction: column;
	}
	/* this arrange the divs vertically in small screen devices */
}







/* ----CAMPUS---- */

.campus{
	width: 80%;
	margin: auto;
	text-align: center;
	padding-top: 50px;
}

.campus-col{
	flex-basis: 32%;
	border-radius: 10px;
	margin-bottom: 30px;
	position: relative;
	overflow: hidden;
}

.campus-col img{
	width: 100%;
	display: block; /* make the campus col same size and round edges */
}

.layer{
	background:transparent;
	height: 100%; 
	width: 100%;
	position: absolute;
	top: 0;
	left: 0;
	transition: 0.5s;
}

.layer:hover{
	background:  rgba(226,0,0,0.7);
}

.layer h3{
	width: 100%;
	font-weight: 500;
	color: #fff;
	font-size: 26px;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	position: absolute;
	opacity: 0; /* initial */
	transition: 0.5s;
}

.layer:hover h3{
	bottom: 49%;
	opacity: 1;

}



/* ----CAMPUS---- */

.facilities{
	width: 80%;
	margin: auto;
	text-align: center;
	padding-top: 100px;
}

.facilities -col{
	flex-basis: 31%;
	border-radius: 10px;
	margin-bottom: 5%;
	text-align: left;
}

.facilities-col	img{
	width: 100%;
	border-radius: 10px;
}

.facilities-col p{
	padding: 0;
}

.facilities-col h3{
	margin-top: 16px;
	margin-bottom: 16px;
	text-align: left;
}

/*---- Testimonials -- */

.testimonials{
	width:80%;
	margin: auto;
	padding-top:100px;
	text-align: center;
}

.testimonial-col{
	flex-basis: 44%;
	border-radius: 10px;
	margin-bottom: 5%;
	text-align: left;
	background: #fff3f3;
	padding: 25px;
	cursor: pointer;
	display: flex;
}

.testimonial-col img{
	height: 40px;
	margin-left: 5px;
	margin-right: 30px;
	border-radius: 50%; /* make img circle */
}

.testimonial-col p{
	padding: 0;
}

.testimonial-col h3{
	margin-top: 15px;
	text-align: left;
}











